.recipe {
  width: 100%;
  height: 110px;

  display: grid;
  grid-template-columns: 100px 1fr;
  grid-template-rows: auto auto 1fr;
  grid-template-areas: "image name       "
                       "image description"
                       "image stats      ";

  border-radius: var(--border-radius);
  overflow: hidden;

  isolation: isolate;
}

.image {
  grid-area: image;
  object-fit: cover;

  transition: filter var(--transition-duration);
}

.image,
.image :global(.shine) {
  border-radius: var(--border-radius) 0 0 var(--border-radius);
}

:global(.card):is(:hover,:focus) .image {
  filter: brightness(110%);
}

/* Image is above borders, including the loading fallback. Re-add borders. */
[data-theme="dark"] .image :global(.shine) {
  border: var(--border-size) solid var(--color-border);
}

/* No right borders on mobile ... */
@media (width < 940px) {
  [data-theme="dark"] .image :global(.shine) {
    border-right: none;
  }
}

/* ... and horizontal layouts. */
[data-theme="dark"] .recipe.horizontal .image :global(.shine) {
  border-right: none;
}

.name {
  margin: 0;
  padding: var(--margin);
  padding-bottom: 0;

  grid-area: name;
}

.description {
  min-height: 1.2rem;
  line-height: 1.2rem;
  margin: 0;
  padding: 0 var(--margin);

  grid-area: description;
}

.stats {
  margin: 0;
  padding: var(--margin);
  padding-top: 0;

  grid-area: stats;

  display: flex;
  justify-content: space-between;
  align-items: end;
  gap: var(--margin-sm);
}

@media (width >= 940px) {
  .recipe.horizontal {
    width: 450px;
  }

  .recipe:not(.horizontal) {
    width: 350px;
    height: 300px;

    grid-template-columns: auto;
    grid-template-rows: 190px auto auto 1fr;
    grid-template-areas: "image      "
                         "name       "
                         "description"
                         "stats      ";
    align-content: end;
  }

  /* On desktop, no borders on the bottom. */
  .recipe:not(.horizontal) .image,
  .recipe:not(.horizontal) .image :global(.shine) {
    border-radius: var(--border-radius) var(--border-radius) 0 0;
  }

  [data-theme="dark"] .recipe:not(.horizontal) .image :global(.shine) {
    border-bottom: none;
  }
}